docs

# TextedWithTextSources

interface TextedWithTextSources : Texted
Content copied to clipboard

## Properties

text
Link copied to clipboard
abstract val text : String ?
Content copied to clipboard
textSources
Link copied to clipboard
abstract val textSources : List < TextSource >?
Content copied to clipboard

Full list of TextSources

## Inheritors

EntitiesOutput
Link copied to clipboard
TextedInput
Link copied to clipboard

## Extensions

parseCommandsWithParams
Link copied to clipboard
fun TextedWithTextSources . parseCommandsWithParams (argsSeparator: Regex = defaultArgsSeparator): Map < String , Array < String >>
Content copied to clipboard

Parse commands and their args. Logic will find command, get all subsequent data as args until new command